'''

This script is provided AS IS without warranty of any kind. Author(s) disclaim all
implied warranties including, without limitation, any implied warranties of
merchantability or of fitness for a particular purpose. The entire risk arising out of
the use or performance of the sample script and documentation remains with you. In no
event shall author(s) be held liable for any damages whatsoever (including, without
limitation, damages for loss of business profits, business interruption, loss of business
information, or other pecuniary loss) arising out of the use of or inability to use the
script or documentation. The script is not guaranteed to work with future or previous
versions of BricsCAD except the one it is installed with. The presensce of the script in
future versions is not guaranteed and is a subject to change within any future update to
BricsCAD.


Search entity names for a tag number (number after ":") and copy to 'Number' property
'''

from bricscad.bim import current_model as model

import bricscad.bim

count = 0 
counter_success = {}



# loop through all the elements in the model. 
#
# In case this should only be done for certain types, replace the line with:
#
#   for element in model().filter(Type='Column'):
#

for element in model().filter(Type='Stair'):

	volume = element.get_property('Volume~MCAD~OPM')
	element.set_property('Volume~User', volume)

	type = element.get_property('Type')

	count+=1

	counter_success[type] = counter_success.get(type, 0) + 1
	

print("\nTags successfully updated for {count} elements: \n    {counter_success} \n\n".format(count = count, counter_success = ' | '.join([f'{type}({cnt})' for type, cnt in counter_success.items()])))
